complexType "TradeIdentifier"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 7 elements
Defined: | globally in fpml-doc-5-3.xsd; see XML source
Includes: | definitions of 1 attribute, 5 elements
Used: | at 9 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | (issuer, tradeId) | (partyReference?, accountReference?, reportingRole?, (tradeId? | versionedTradeId?)+)
</...>

Content Model Elements (7):

  accountReference (defined in PartyAndAccountReferences.model group),
  issuer (defined in TradeIdentifier complexType),
  partyReference (defined in PartyAndAccountReferences.model group),
  reportingRole (defined in TradeIdentifier complexType),
  tradeId (defined in TradeIdentifier complexType),
  tradeId (defined in TradeIdentifier complexType),
  versionedTradeId

Known Direct Subtypes (1):

  PartyTradeIdentifier

All Direct / Indirect Based Elements (25):

  allocationTradeId (defined in PartyTradeIdentifier complexType),
  allocationTradeId (in allocation),
  blockTradeId,
  newTradeIdentifier,
  oldTradeIdentifier (defined in TradeChangeContent complexType),
  oldTradeIdentifier (in novation),
  originatingTradeId (defined in PartyTradeIdentifier complexType),
  originatingTradeIdentifier,
  partyTradeIdentifier (defined in PartyTradeIdentifiers complexType),
  partyTradeIdentifier (defined in Portfolio complexType),
  partyTradeIdentifier (defined in TradeIdentifyingItems complexType),
  partyTradeIdentifier (defined in TradeValuationItem complexType),
  partyTradeIdentifier (in tradeHeader),
  partyTradeIdentifier (in tradeReferenceInformation),
  partyTradeIdentifier (in valuationReportRetracted),
  replacementTradeIdentifier,
  resultingTradeIdentifier,
  tradeIdentifier (defined in BestFitTrade complexType),
  tradeIdentifier (defined in EventIdentifier complexType),
  tradeIdentifier (defined in TradeChangeBase complexType),
  tradeIdentifier (in deClear),
  tradeIdentifier (in optionExercise),
  tradeIdentifier (in optionExpiry defined in Events.model group),
  tradeIdentifier (in optionExpiry in terminatingEventsReport),
  tradeIdentifier (in tradeMaturity)

Known Usage Locations

- In derivations of other global types (1):
  PartyTradeIdentifier (as extension base)
- As direct type of elements (8):
  allocationTradeId (defined in PartyTradeIdentifier complexType),
  allocationTradeId (in allocation),
  blockTradeId,
  originatingTradeId (defined in PartyTradeIdentifier complexType),
  originatingTradeIdentifier,
  replacementTradeIdentifier,
  tradeIdentifier (defined in BestFitTrade complexType),
  tradeIdentifier (defined in EventIdentifier complexType)

Annotation
A type defining a trade identifier issued by the indicated party.
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="TradeIdentifier"> <xsd:sequence> <xsd:choice> <xsd:sequence> <xsd:element name="issuer" type="IssuerId"/> <xsd:element name="tradeId" type="TradeId"/> </xsd:sequence> <xsd:sequence> <xsd:group ref="PartyAndAccountReferences.model"/> <xsd:element minOccurs="0" name="reportingRole" type="ReportingRole"/> <xsd:choice maxOccurs="unbounded"> <xsd:element minOccurs="0" name="tradeId" type="TradeId"/> <xsd:element minOccurs="0" name="versionedTradeId" type="VersionedTradeId"/> </xsd:choice> </xsd:sequence> </xsd:choice> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 5/7)
issuer

  Type: | IssuerId, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element name="issuer" type="IssuerId"/>

reportingRole

  Type: | ReportingRole, simple content

  Identifies the role of this party in reporting this trade (e.g. originator, counterparty, recipient).
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="reportingRole" type="ReportingRole"/>

tradeId

  Type: | TradeId, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element name="tradeId" type="TradeId"/>

tradeId

  Type: | TradeId, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="tradeId" type="TradeId"/>

versionedTradeId

  Type: | VersionedTradeId, complex content

  A trade identifier accompanied by a version number. In regulatory reporting views, this should be avoided except for internal mnessaging.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="versionedTradeId" type="VersionedTradeId"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.